Ontwikkelingen

Drupal 7 ondersteuning

Drupal 7 ondersteuning eindigt in 2022

De ondersteuning voor Drupal 7 komt ten einde in 2022. Oorspronkelijk zou de Drupal Association de ondersteuning voor Drupal 7…

Lees verder...
De beste magento extensies voor een optimale shoppingervaring

De beste magento extensies voor een optimale shoppingervaring

Magento heeft veel extensies om de shoppingervaring te verbeteren. Te veel extensies toevoegen zorgt voor een tragere website. Daarom is…

Lees verder...
AI in Magento Betere productaanbevelingen en zoekfunctie

AI in Magento: Betere productaanbevelingen en zoekfunctie

Wil je je klanten een nog betere winkelervaring geven? Dan is het goed eens te kijken naar de mogelijkheden van…

Lees verder...

Aangepaste openingstijden 2021

Tijdens nationale feestdagen gelden er aangepaste openingstijden bij iXL Hosting. Hieronder kun je zien op welke feestdagen wij gesloten zijn.…

Lees verder...
Hoe creeër ik een gepersonaliseerde Magento webshop?

Hoe creëer ik een gepersonaliseerde Magento webshop?

Magento is een handig e-commerce platform voor verkopers die snel en effectief aan de slag willen met hun eigen webshop.…

Lees verder...
Hoe zet je een WordPress testomgeving op?

Hoe zet je een WordPress testomgeving op?

Iedereen die met WordPress werkt, heeft al eens kennis gemaakt met de White Screen of Death: een wit scherm in…

Lees verder...
De eerste release van PHP 8 is een feit. Daarmee heeft de community achter PHP weer een flinke stap voorwaarts gezet. Toch brengt een nieuwe PHP-versie vaak hoofdbrekens met zich mee voor websitebeheerders die gebruikmaken van Content Management Systemen (CMS) zoals WordPress. WordPress is immers niet alleen afhankelijk van de motor (‘de core’) maar ook van thema’s en plugins. De kans is dus groot dat je na de upgrade naar PHP 8 met een website zit die voor de helft niet meer werkt. Dit is uiteraard iets wat je wilt voorkomen. WordPress compatibel maken Ten eerste: PHP 8 is uitgebracht op 6 november 2020. Het is de eerste grote update van PHP. De eerdere releases hebben nooit veel invloed gehad op hoe WordPress gebouwd is. Maar PHP 8 is een grote update met vele veranderingen. Daardoor is de kans groot dat bepaalde functies binnen WordPress in combinatie met een webserver als Nginx niet goed zullen werken. Een bekend probleem is bijvoorbeeld dat bij WordPress versie 5.5 of lager een 404 error wordt geserveerd wanneer de webserver Nginx betreft. Daar is inmiddels ook een oplossing voor; upgraden naar WordPress 5.6. Veel functies in PHP 7 waren nog verouderd, omdat ze deels zijn overgenomen toen de upgrade vanuit PHP 5.6 een feit werd. De ontwikkelaars achter de programmeertaal hebben daar nu korte metten mee gemaakt. Een aantal verouderde functies zijn in PHP 8 helemaal niet meer te gebruiken. Daardoor is er een mogelijkheid dat een WordPress website uiteindelijk niet meer zal werken. Als je het updaten naar PHP 8 spannend vindt, kun je dit beter laten uitvoeren aan de hand van cloud managed WordPress VPS. Maak je WordPress Core compatibel Het hart van iedere WordPress website is de WordPress Core. Dit is de motor van de website en wordt door WordPress zelf onderhouden. Goed nieuws, want WordPress Core is inmiddels compatibel met PHP 8.0. Het enige wat je daarvoor hoeft te doen is WordPress te upgraden naar versie 5.6. Echter, dat betekent zeker niet dat je verzekerd bent van een goed werkende website. WordPress leunt namelijk op thema’s en plugins om een website of blog te bouwen. Het is voor de ontwikkelaars van WordPress zelf onmogelijk om al die plugins en thema’s van derde partijen te onderhouden. Daarom is er sprake van een ‘betaversie van WordPress 5.6’. WordPress is dus nog niet voor het grote publiek compatibel, maar het geeft voor website eigenaren wel alvast een voorproefje van wat er komen gaat. Er zijn een aantal manieren om plugins en thema’s ook compatibel te maken. Voorbereidingen treffen Het migreren van WordPress naar een PHP-versie als PHP 8 kan best pijnlijk zijn. Dat komt onder meer door de grote veranderingen. Om te voorkomen dat custom code het helemaal niet meer doet, is het mogelijk om aan de hand van het commando ‘php -l’ een lint uit te voeren. Op die manier kan niet-werkende code worden gedetecteerd. Een ander programma is PHPCompatibility. Deze kan verouderde code opsporen. Nadeel is wel dat je zelf enige kennis van programmeren nodig hebt om de code te verbeteren. Een andere optie is een kopie maken van de huidige website en deze binnen een tweede PHP-instantie op PHP-versie 8 laten draaien. Controleer daarna met de hand of alles werkt. De meeste plugins en thema’s die nog worden onderhouden, zullen snel met nieuwe updates komen. Gebruik je een thema of plugin die al jaren niet meer wordt bijgewerkt? Dan wordt het tijd om afscheid van deze onderdelen te nemen en op zoek te gaan naar een vervanging die wel bij de tijd is.

Hoe PHP 8 compatibel maken met WordPress themes en plugins?

De eerste release van PHP 8 is een feit. Daarmee heeft de community achter PHP weer een flinke stap voorwaarts…

Lees verder...

[Opgelost] Netwerkstoring

Er was in de middag van woensdag 17 februari een netwerkstoring bij ons datacenter BIT als gevolg hiervan zijn onze…

Lees verder...
PHP 8 comptabiliteit WordPress

De compatibiliteit van WordPress met PHP 8 controleren

De kans is groot dat het systeem achter je website WordPress betreft. Het is dan ook een van de meest…

Lees verder...
PHP 8 updaten

Waarom wel updaten naar de nieuwste PHP-versie zoals PHP 8?

De meeste websites maken tegenwoordig gebruik van oudere versies van PHP. Er zijn nog steeds veel systemen te vinden die…

Lees verder...
PHP 8 functies en nieuwigheden

PHP 8: Wat zijn de nieuwigheden?

Goed nieuws: de opvolger van PHP 7.4 is uit! Deze versie heet PHP 8.0 en brengt een aantal grote veranderingen…

Lees verder...

Openingstijden Feestdagen 2020

Ook in dit gekke jaar hebben we onze standaard feature freeze en een aantal aangepaste openingstijden. Feature freeze Om met…

Lees verder...
Datacenter BIT iXL Hosting

Waarom wij kiezen voor datacenter BIT

Onze IT-apparatuur staat in het datacenter BIT. Waarschijnlijk heb je weleens van de term ‘datacenter’ gehoord. Een datacenter is een…

Lees verder...

16-12-2020 – DDoS aanval op ons netwerk

Op 16-12-2020 tussen ongeveer 13:50 en 14:20 hebben we last gehad van een DDoS aanval op ons netwerk. Deze was…

Lees verder...

14-12-2020 – DDoS op ons netwerk

Maandagmorgen 14 december vanaf ongeveer 9:30 tot ongeveer 10:10 hebben we een korte DDoS gehad op ons netwerk. Hierdoor zijn…

Lees verder...
De noodzaak van stabiele hosting voor webwinkels

De noodzaak van stabiele hosting voor webwinkels

Webwinkels schieten als paddenstoelen uit de grond. We kopen steeds meer online, waardoor het belangrijk is dat de hosting volledig…

Lees verder...
Last van virussen, malware of hacking Proactieve bescherming VPS

Last van virussen, malware of hacking? Ga voor proactieve bescherming!

Het is belangrijk om je gegevens altijd geheim te houden. Of het nu om persoonlijke gegevens of bedrijfsgegevens gaat, je…

Lees verder...
Welke configuraties zorgen voor een maximale snelheid en veiligheid

Welke configuraties zorgen voor een maximale snelheid en veiligheid?

Heb je een eigen website? Dan wil je dat deze zo snel mogelijk geladen wordt. Dat is wel zo prettig…

Lees verder...
Managed VPS hosting iXL Hosting

Wat houdt volledig managed VPS-hosting precies in voor mijn bedrijf?

Ben je toe aan een eigen VPS voor je bedrijf, maar heb je geen tijd of niet de technische kennis…

Lees verder...
Managed VPS iXL Hosting

Verlies geen tijd en ontwikkel een website op een managed VPS

Wil je een VPS die snel is, die je zelf kunt aanpassen en wordt beheerd door een team van experts…

Lees verder...